* Test driver for perth
      double precision dlat,dlon,time,tide,lptide
      logical          isdata,select(8)
      data  select/8*.true./
*
      dlat = -42.
      dlon = 330.
      time = 49100.
      call perth( dlat,dlon,time,select,tide,isdata )
      call lpeqmt( time*86400.d0, dlat, lptide )
      tide = tide + lptide
      write(6,11) time,dlat,dlon,tide
*
      time = 49100.5
      call perth( dlat,dlon,time,select,tide,isdata )
      call lpeqmt( time*86400.d0, dlat, lptide )
      tide = tide + lptide
      write(6,11) time,dlat,dlon,tide
 11   format(F12.5,2f8.2,f8.2)
      stop
      end
